SoComplexityElement(3)

NAME
SoComplexityElement - The SoComplexityElement class contains the current shape complexity for a graph traverser.

SYNOPSIS

#include <Inventor/elements/SoComplexityElement.h>

Inherits SoFloatElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const float complexity)
FIXME: write doc.
static void set (SoState *const state, const float complexity)
FIXME: write doc.
static float get (SoState *const state)
FIXME: write doc.
static float getDefault (void)
FIXME: write doc.

  Protected Member Functions
virtual ~SoComplexityElement ()

  Additional Inherited Members

Detailed Description

The SoComplexityElement class contains the current shape complexity for a graph traverser.

Constructor & Destructor Documentation

  SoComplexityElement::~SoComplexityElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  static SoType SoComplexityElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

This static method returns the class type.

  static int SoComplexityElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

This static method returns the state stack index for the class.

  void * SoComplexityElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoComplexityElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoComplexityElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoFloatElement.

Author

Generated automatically by Doxygen for Coin from the source code.